Summary:	A utility to stress-test hard disks.
Name:		bonnie++
Version:	1.03a
Release:	1
License:	GPL
Group:		Development
Source:		http://www.coker.com.au/bonnie++/bonnie++-%{version}.tgz
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
It is called Bonnie++ because it was based on the Bonnie program.
This program also tests performance with creating large numbers of
files.  Now includes zcav raw-read test program.  A modern hard
drive will have more sectors in the outer tracks because they are
longer.  The hard drive will have a number (often more than 8) of
zones where each zone has the same number of sectors (due to the
need for an integral number of sectors per track).  This program
allows you to determine the levels of performance provided by
different zones and store them in a convenient format for gnuplot.

%prep
%setup -q
%build
  ./configure --prefix=$RPM_BUILD_ROOT%{_prefix} --mandir=$RPM_BUILD_ROOT%{_mandir}
  make MORECFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
  make install

%files
  %attr(0444,root,root)	%doc %{_mandir}/man?/*
  %attr(0700,root,root)	%{_prefix}/sbin/bonnie++
  %attr(0700,root,root)	%{_prefix}/sbin/zcav
  %attr(0700,root,root)	%{_prefix}/bin/bon_csv2html
  %attr(0700,root,root)	%{_prefix}/bin/bon_csv2txt

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 11 2005 Pete J. O'Hara <pete@guardiandigital.com>
- Version 1.03a, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
